DTCK(1)

NAME
dtck - Check the DNSSEC-Tools data files for sanity.

SYNOPSIS
  dtck [options] [dtck_config_file]

DESCRIPTION
dtck checks DNSSEC-Tools data files to determine if the entries are valid. dtck checks the validity of DNSSEC-Tools configuration files, rollrec files, and keyrec files. It does not perform the file checking itself, but runs checking programs specific to each type of data file.

A dtck configuration file is consulted to determine the files to check. This file lists the DNSSEC-Tools data files and their types. If a dtck configuration file is not given on the command line, dtck will only check the DNSSEC-Tools configuration file. This is equivalent to running dtconfchk directly.

DTCK CONFIGURATION FILE
A dtck configuration file contains a list of the files to be checked by dtck. Except for comments, each line has the following format:

    keyword file directory

keyword is one of "config", "rollrec", or "keyrec". file is the pathname of the file to be checked. directory is the name of the directory that holds file and is optional.

The dtck configuration file contains the following types of records:

config
    These lines define the DNSSEC-Tools configuration files that will be checked. The dtconfchk program will be used to verify these files.

rollrec
    These lines define the rollrec files that will be checked. The rollchk program will be used to verify these files.

keyrec
    These lines define the keyrec files that will be checked. The krfcheck program will be used to verify these files.

comments
    Any lines starting with an octothorpe (#) are comment lines and are ignored.

OPTIONS
dtck takes two types of options. Options of the first type are handled directly by dtck, controlling its output and processing. Options of the second type are passed to the file-checking programs and are not further handled by dtck.

  Options Handled by dtck

-defcon
    This option directs dtck to add the default DNSSEC-Tools configuration file to the list of configuration files to be checked.

-list
    The names of the files will be listed as they are checked.

-pretty
    Clarifying output is added to the output from dtck and the file-checking programs.

-help
    Display a usage message.

  Options Not Handled by dtck

-count
    The file-checking programs will display a final error count.

-quiet
    No output will be given by the file-checking program.

-verbose
    Verbose output will be given by the file-checking program.

-Version
    Displays the version information for dtck and the DNSSEC-Tools package.

COPYRIGHT
Copyright 2007-2014 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHOR
Wayne Morrison, tewok@tislabs.com

SEE ALSO
dtconfchk(8), krfcheck(8), rollchk(8)

dnssec-tools.conf(5), keyrec(5), rollrec(5)